/*
 *  Copyright 2002-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.mime4j;

/**
 * Just a place for test messages to get written.
 */
public class Debug {

    private static final boolean LOG = false;
    private static final boolean THROW = false;

    public static void fail(String message) {
        if (LOG) {
            System.out.println("FAIL: " + message);
            new Exception().printStackTrace();
        }

        if (THROW) {
            throw new RuntimeException(message);
        }
    }

    public static void verify(boolean assertion, String message) {
        if (!assertion) {
            if (LOG) {
                System.out.println("FAIL: " + message);
                new Exception().printStackTrace();
            }

            if (THROW) {
                throw new RuntimeException(message);
            }
        }
    }
}
