/*
 *  Copyright 2002-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.mime4j;

public class HeaderToken {

    public static final int EOF = 0;
    public static final int WS = 1;
    public static final int QUOTED_STRING = 2;

    private final int tokenType;
    private final String value;

    public HeaderToken(int tokenType, String value) {
        this.tokenType = tokenType;
        this.value = value;
    }

    public int getTokenType() {
        return tokenType;
    }

    public String getValue() {
        return value;
    }

}
