/*
 *  Copyright 2002-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.mime4j.test;

import org.mime4j.MIMEParser;

import java.io.*;

public class TestMIME {
    public static void main(String[] args) throws IOException {

        File dir = new File(args[0]);

        File[] files = dir.listFiles();

        for (int i = 0; i < files.length; i++) {
            File file = files[i];
            if (!file.getName().endsWith(".eml"))
                continue;

            //string filename = @"c:\temp\mimetest\short.eml";
            //System.out.println();
            //System.out.println(file.getName() + " ==========================================");

            InputStream in = new BufferedInputStream(new FileInputStream(file));
            try
            {
                new MIMEParser(in, new TestCallbacks()).parse();
            }
            finally
            {
                in.close();
            }
        }

    }
}
